/** \file build_info.c
 *
 *  Build Information: version, build timestamp, etc.
 */

/* build_info.c
 *
 * <copyright>
 * Copyright (C) 2014-2018 Sanford Rockowitz <rockowitz@minsoft.com>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 * </endcopyright>
 */

#include <config.h>

#include "base/build_info.h"

const char * BUILD_VERSION = VERSION;      /**< ddcutil version */

// TODO: patch dummy values at link time
// const char * BUILD_DATE = __DATE__;
const char * BUILD_DATE = "mmm dd yyyy";   /**<  build date, to be patched at link time */
// const char * BUILD_TIME = __TIME__;
const char * BUILD_TIME = "hh:mm:ss";      /**< build time, to be patched at link time */
